Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06689 Crash/Freeze Critical (emulation) Always Sep 28, 2017, 16:19 Oct 6, 2017, 03:09
Tester StHiryu View Status Public Platform MAME (Unofficial Binary)
Assigned To pmackinlay Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver amstrad.cpp
Version 0.190 Fixed in Version 0.191 Build 64-bit
Summary MESS-specific 06689: cpc6128: Loading a disk freezes the emulator
Description Every time I try to access to the disk from the amstrad command line, the emu freezes (not sure if it's a freeze or if the keyboard input is disabled). The only way to recover mame is to close it trought the Windows task panel. Deleted any .ini file before, and the issue is still present.
Steps To Reproduce 1-Use File manager at amstrad 6128 to load an .dsk image.
2-Access disk using CAT or load it using |CPM.
Additional Information .dsk files can be dowloaded from cpc-power for testing. The cpc6128 worked fine in 189.
Flags
Regression Version 0.190
Affected Sets / Systems cpc6128
Attached Files
 
Relationships
has duplicate 06730Closed specpl3e: Loading a disk freezes the emulator 
Notes
2
User avatar
No.14196
Tafoid
Administrator
Sep 28, 2017, 20:12
edited on: Sep 28, 2017, 20:16
That is strange - it seems to hang MAME entirely now. I used the softlist item "pacboy19" for testing.
My testing back seems to indicate it was broken by this commit for the upd765 on September 13, 2017:
https://github.com/mamedev/mame/commit/5a3081ed8ebf74e10942e0382b106ad6a2d459fb

It may also affect a number of FDCs in other drivers which will need testing.

User avatar
No.14218
pmackinlay
Tester
Oct 6, 2017, 01:52
edited on: Oct 6, 2017, 02:22
This bug is fixed by https://github.com/mamedev/mame/pull/2697 which is in head now and I expect will be in 0.191.

I tested the CPC6128 with "pacboy19" and was able to successfully reproduce the bug before, and successfully execute "CAT" and load/run "pacboy19" after this fix, so I'm confident it's resolved.